Download it now!
Bug 127294 - Add more tips of the day (and make it module-specific eventually)
Summary: Add more tips of the day (and make it module-specific eventually)
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.3.0.4 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.5.0 target:6.4.0.1
Keywords: needsUXEval
: 130116 131345 (view as bug list)
Depends on:
Blocks: Tip-Of-The-Day
  Show dependency treegraph
 
Reported: 2019-09-02 15:49 UTC by mirko.pieropan
Modified: 2020-05-30 06:44 UTC (History)
13 users (show)

See Also:
Crash report or crash signature:


Attachments
just a slide with an ellipse (10.91 KB, application/vnd.oasis.opendocument.presentation)
2019-12-09 21:03 UTC, mirko.pieropan
Details
an image to put in the ellipse (438.46 KB, image/jpeg)
2019-12-09 21:04 UTC, mirko.pieropan
Details
screenshot showing the reported behaviour (1.89 MB, application/pdf)
2019-12-09 21:09 UTC, mirko.pieropan
Details

Note You need to log in before you can comment on or make changes to this bug.
Description mirko.pieropan 2019-09-02 15:49:51 UTC
Description:
It would be nice to display only tips of the day that are related to the kind of document one is creating (Writer document, Impress document, Calc Spreadsheet, etc.), rather than seeing a tip related to, say, Calc, when I am actually working on a Writer document.

Actual Results:
When creating a new document, the tip of the day could concern any of the LibreOffice apps.

Expected Results:
When creating a new document, the tip of the day should concern the relevant LibreOffice app. If the tip of the day concerns all the LibreOffice apps, then it is okay to display it.


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 Heiko Tietze 2019-09-03 06:42:13 UTC
To my understanding a tip of the day is unspecific and more fun than help. So I wouldn't make it more complex. But open for other opinions.
Comment 2 mirko.pieropan 2019-09-03 20:43:44 UTC
(In reply to Heiko Tietze from comment #1)
> To my understanding a tip of the day is unspecific and more fun than help.
> So I wouldn't make it more complex. But open for other opinions.

I partly agree on that, but I believe it might be kind of distracting to see tips that are somewhat far from how one intends to use the software when they need it. At least, that's true for me and this is of course my very personal opinion. Then, if one has time and is curious about knowing more about the goodies LibreOffice has to offer, it's definitely worth to provide the opportunity to do so, but might there be a better place for that, perhaps?
Comment 3 Eike Rathke 2019-09-04 08:29:56 UTC
At least have some tag or indicator to which module the tip applies, e.g. Calc, Writer, Common, ... it makes no sense to see a tip that describes behaviour/featuer only working in Writer when opening a Calc document, but the tip is formulated such that it leaves the impression it could work in Calc as well.
Comment 4 Heiko Tietze 2019-09-04 09:34:43 UTC
The illustration next to the tip has a MIME type icon depending on the module right now, if it's a specific tip.
Comment 5 mirko.pieropan 2019-09-04 11:55:22 UTC
That's true. I guess that, at this point, it all depends on the specific target audience you have in mind. I think that many people might just ignore the tips of the day unless they are made more specific to their own aims while using the software, whereas the ones who are very enthusiastic and who have time will find them fun and will want to delve deeper.
Comment 6 Thomas Lendo 2019-09-05 20:39:22 UTC
I support Eike's comment 3. I even noticed in the last days that a Writer tip confused me when opening a Calc document and I had to think about it before I understand that's a Writer tip. I can imagine that this is not useful for inexperienced users.

There should be tips for Common/all, Writer, Calc, Impress, Base, Draw, Math. But maybe a 'fun' tip category also would be cool to promote new or underestimated features.
Comment 7 mirko.pieropan 2019-09-05 21:27:27 UTC
I completely agree with Thomas' comment #6!

(In reply to Thomas Lendo from comment #6)
> I support Eike's comment 3. I even noticed in the last days that a Writer
> tip confused me when opening a Calc document and I had to think about it
> before I understand that's a Writer tip. I can imagine that this is not
> useful for inexperienced users.
> 
> There should be tips for Common/all, Writer, Calc, Impress, Base, Draw,
> Math. But maybe a 'fun' tip category also would be cool to promote new or
> underestimated features.
Comment 8 Heiko Tietze 2019-09-06 06:51:26 UTC
Since nobody takes my comment 4 into account, here is another argument: We may have enough tips for Writer and Calc to randomly give hints on startup but not in case of Impress/Draw and definitely not for Base. The actual numbers are:

Writer: 73
Calc: 69
Impress: 11
Draw: 9
Generic: 51
Comment 9 Eike Rathke 2019-09-06 16:41:05 UTC
(In reply to Heiko Tietze from comment #4)
> The illustration next to the tip has a MIME type icon depending on the
> module right now, if it's a specific tip.
I only realized that after you pointed it out, probably because it's just a small icon on the socket of the much bigger light bulb..
Comment 10 Thomas Lendo 2019-09-07 00:11:47 UTC
(In reply to Eike Rathke from comment #9)
> (In reply to Heiko Tietze from comment #4)
> > The illustration next to the tip has a MIME type icon depending on the
> > module right now, if it's a specific tip.
> I only realized that after you pointed it out, probably because it's just a
> small icon on the socket of the much bigger light bulb..
I also never realized that. Anyway, something that isn't seen doesn't exist in point of UX.

When there are so few Draw tips I would prefer following solution: When there are 73 Writer tips and 51 generic tips then these tips should be shown first and only after 124 starts other module tips will be shown, for Draw only after 60 tips, etc. It makes more sense to show other tips then already known tips more times.
Comment 11 mirko.pieropan 2019-09-07 08:05:32 UTC
So are we discarding the idea of restricting the set of possible tips on the basis of the module the user is choosing? That seems the most natural option to me, but I don't know how complicated things would be in terms of implementation.
Comment 12 Heiko Tietze 2019-09-07 09:17:03 UTC
(In reply to Eike Rathke from comment #9)
> (In reply to Heiko Tietze from comment #4)
> > The illustration next to the tip has a MIME type icon...
> I only realized that after you pointed it out...

The idea was to have an illustration for the tip next to it, for example a screenshot for the marching ants. Unfortunately I haven't got any artwork yet.

(In reply to Thomas Lendo from comment #10)
> ... then these tips should be shown
> first and only after 124 starts other module tips will be shown

To solve bug 127400, I changed the randomization towards a sequential procedure. So we could sort the tips in any order now. Doubt this solves the actual issue.

(In reply to mirko.pieropan from comment #11)
> So are we discarding the idea of restricting the set of possible tips on the
> basis of the module the user is choosing?

We could add a sufficient number of tips for Draw, Impress, Base, and Math to eventually have enough for a module-specific selection. Hard work as informative tips are not easy to find and write.

Another solution is to show the tips not when the module is run but the start center. In this case ideally inline with the recently opened files. But I don't know how to do that.
Comment 13 mirko.pieropan 2019-09-07 09:45:12 UTC
Let's take some time to collect useful tips (which we could add here in the comments) and come back to the problem in a few months' time once we have more tips?
Comment 14 Heiko Tietze 2019-09-08 08:08:35 UTC
(In reply to mirko.pieropan from comment #13)
> Let's take some time to collect useful tips (which we could add here in the
> comments) and come back to the problem in a few months' time once we have
> more tips?

Sounds like a plan, adding documentation and l10n.
Comment 15 mirko.pieropan 2019-09-08 09:38:39 UTC Comment hidden (off-topic)
Comment 16 Heiko Tietze 2019-09-08 11:44:21 UTC Comment hidden (off-topic)
Comment 17 mirko.pieropan 2019-10-11 21:13:52 UTC
Just a few tips that I believe would be nice to add (I'll make a detailed list in a few months' time):
* IMPRESS: You can move selected objects faster: just keep Shift press while you displacing an object with arrow keys
* GENERAL: You can create editable PDF files from LibreOffice: just go to File Menu->Export as PDF and then check the option "Embed OpenDocument File". You will be then able to edit the PDF file in LibreOffice. (I took this from itsfoss.com)
* GENERAL: You can protect your LibreOffice documents with passwords: all you have to do is using ‘save as’ and check the option ‘save with password’.  (I took this from itsfoss.com as well)
Comment 18 Heiko Tietze 2019-10-14 09:22:03 UTC
Adding marketing to CC.
Comment 19 sdc.blanco 2019-11-11 13:21:29 UTC
Greetings.  I did not appreciate that this "bug" is where suggestions can be added for new tips.  

1.  Suggestion to change the "summary" of the bug to (something like):

Add a suggestion for a new tip-of-the-day (or to revise an existing tip)

2.  Is there a place to get an overview of existing tips?  (would make it easier for people to check to avoid duplicates).  Here is a link to someone who already attempted to do this:  https://suay.site/?p=260   (Maybe this person would be willing to cooperate/contribute.)

3.  Here is another link to someone who was excited about the Status Bar.  Maybe this gives some inspiration for new tips.   http://andybrandt531.com/2015/06/10-secrets-of-the-libreoffice-status-bar/  (I realise there must be hundreds of pages like this -- but I can understand from comment 12 that good tips are hard to write.

4.  Maybe there is an advantage to make separate bugs for separate modules (i.e., one for IMPRESS, one for DRAW, etc.) -- so that people who are experienced with one module can be more inspired.

5.  Maybe it is possible to "advertise" on the Libreoffice webpage (e.g., a banner on the download page) -- to make a campaign to ask for suggestions for tips?  No doubt many people have discovered some hard to notice but useful feature.
Comment 20 sdc.blanco 2019-11-11 13:26:45 UTC
Two Suggestions for Writer tips.

1. For quick access to your document bookmarks, right-click on the page number of the Status bar (lower left corner of document window)

2.  To remove several hyperlinks at once, select the text with the hyperlinks, then Right click and use ‟remove Hyperlink”
Comment 21 Heiko Tietze 2019-11-11 13:31:51 UTC
(In reply to sdc.blanco from comment #19)
> 1.  Suggestion to change the "summary" of the bug to (something like):
> Add a suggestion for a new tip-of-the-day (or to revise an existing tip)

"Add more tips" is not so much different (and the discussion started with the idea of module specific tips). But feel free to adjust the summary.
 
> 2.  Is there a place to get an overview of existing tips?  

Source is here https://opengrok.libreoffice.org/xref/core/cui/inc/tipoftheday.hrc?r=7fef6c0f (including a short comment on top)

> https://suay.site/?p=260   (Maybe this
> person would be willing to cooperate/contribute.)

/done

> 3.  Here is another link to someone who was excited about the Status Bar. 

Just put the interesting things in a short tip.

> 4.  Maybe there is an advantage to make separate bugs for separate modules
> (i.e., one for IMPRESS, one for DRAW, etc.) -- so that people who are
> experienced with one module can be more inspired.

See my comment 8 (not opposing the idea to make it specific).

> 5.  Maybe it is possible to "advertise" on the Libreoffice webpage (e.g., a
> banner on the download page) -- to make a campaign to ask for suggestions
> for tips?  No doubt many people have discovered some hard to notice but
> useful feature.

It's hard work to compile useful tips - and to not loose the overview of what's included.
Comment 22 mirko.pieropan 2019-11-11 22:18:13 UTC
(In reply to sdc.blanco from comment #19)

> 5.  Maybe it is possible to "advertise" on the Libreoffice webpage (e.g., a
> banner on the download page) -- to make a campaign to ask for suggestions
> for tips?  No doubt many people have discovered some hard to notice but
> useful feature.

Perhaps sharing our intention to add more tips of the day on Facebook, Twitter, etc. could be enough, don't you think?
Comment 23 Heiko Tietze 2019-11-12 07:49:15 UTC Comment hidden (off-topic)
Comment 24 sdc.blanco 2019-11-13 10:38:56 UTC
Suggested tip rewrite.

Current:  To temporarily starts with a fresh user profile or to restore a non-working LibreOffice instance start Help > Restart in Safe Mode.

Suggested:  To start temporarily with a fresh user profile or to restore a non-working LibreOffice, use Help > Restart in Safe Mode.

Changes:  To <del>temporarily</del> start<del>s</del> <ins>temporarily</ins> with a fresh user profile or to restore a non-working LibreOffice <del>instance start</del><ins>, use</ins> Help > Restart in Safe Mode.
Comment 25 Heiko Tietze 2019-11-13 11:10:58 UTC
(In reply to sdc.blanco from comment #24)
> Suggested tip rewrite...

Want to try this patch yourself?
Comment 26 sdc.blanco 2019-11-13 11:56:56 UTC
(In reply to Heiko Tietze from comment #25)
> (In reply to sdc.blanco from comment #24)
> > Suggested tip rewrite...
> 
> Want to try this patch yourself?

I can try -- but I need an explanation for how.
Comment 27 Heiko Tietze 2019-11-13 12:49:17 UTC
(In reply to sdc.blanco from comment #26)
> I can try -- but I need an explanation for how.

First you need the development environment. I wrote a blog post [1] and there is the wiki [2]. The patch itself is pretty simple, just edit the file cui/inc/tipoftheday.hrc (some description on top, and in [3]). And finally you have to set-up Gerrit [4] to send the patch. Add me as reviewer.
Don't hesitate to ask at [5].

[1] https://design.blog.documentfoundation.org/2018/02/22/easyhacking-set-environment/
[2a] Linux https://wiki.documentfoundation.org/Development/BuildingOnLinux
[2b] Windows https://wiki.documentfoundation.org/Development/lode
[2c] macOS https://wiki.documentfoundation.org/Development/BuildingOnMac
[3] https://design.blog.documentfoundation.org/2019/06/26/how-to-create-a-new-dialog/
[4] https://wiki.documentfoundation.org/Development/gerrit
[5a] Telegram design group https://t.me/LibreOfficeDesign
[5b] IRC developers irc://irc.freenode.net/#libreoffice-dev
Comment 28 Buovjaga 2019-11-13 12:58:05 UTC
If the patching is indeed so simple, you could use direct editing in gerrit: https://wiki.documentfoundation.org/Documentation/GerritEditing
Comment 29 sdc.blanco 2019-11-13 16:57:29 UTC
(In reply to Buovjaga from comment #28)
> If the patching is indeed so simple, you could use direct editing in gerrit:
> https://wiki.documentfoundation.org/Documentation/GerritEditing

Many thanks for this tip!  Much easier than having to install a code development system.

For others who want to follow this path -- note that the instructions for GerritEditing are for the "online help" files -- but you can still follow these instructions for "tip of the day" -- but with the following necessary modifications.

1.  Search for "core"  instead of "help" under the Filter Projects
2.  Click on the word "core" that comes back from the search
3.  (you can skip over the "Identifying file" sections of the instructions)
4.  The path for the relevant file is: cui/inc/tipoftheday.hrc
Comment 30 Commit Notification 2019-11-15 07:51:13 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e95f32217b074e320d79bb6c35b445099b998cf0

tdf#127294 add tip about removing multiple hyperlinks

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 31 Commit Notification 2019-11-25 15:28:45 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/39d0fe2dda13b57c39cd96945df52b3b51b9c214

tdf#127294 correct tip about removing multiple hyperlinks

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 32 Commit Notification 2019-11-30 07:27:18 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/6de43b0591cf3bf4b0c584153aaf4bc21e9d2698

tdf#127294 add tip about removing multiple hyperlinks

It will be available in 6.4.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 33 Commit Notification 2019-12-01 15:18:26 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/dcbe77b042ebe79f072a760626dcaa866770e13f

tdf#127294 correct tip about removing multiple hyperlinks

It will be available in 6.4.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 34 sdc.blanco 2019-12-04 14:04:49 UTC
Seeking feedback, reactions on the following tip, that I am planning to add.
I believe the tip is fun and surprising.  But is this short text understandable enough to discover this possibility?

Want to put photos or other images into shapes?  Insert and select shape, then Insert > Image.  To adjust image, right-click on selected shape and choose Area.
Comment 35 sdc.blanco 2019-12-04 17:26:26 UTC
Is there an easy way to show an image of a toolbar icon in a tip of the day?  

Interest behind the query:  I have noticed that the Special Character icon in the LO 6.4 toolbar now shows favorite and recent characters (without having to open the whole special character window). Nice and useful feature by itself and seems like a good topic for a tip -- at least for a while  - but would be helpful if it were possible to show the actual toolbar icon in the tip.  (This feature only works from the toolbar, does not work from the menu, i.e., Insert > Special Character.)
Comment 36 Heiko Tietze 2019-12-05 15:04:24 UTC
(In reply to sdc.blanco from comment #34)
> Want to put photos or other images into shapes?  Insert and select shape,
> then Insert > Image. To adjust image, right-click on selected shape and
> choose Area.

Sounds good. Alternatively, "Bored of rectangular images? Add a circle pie from basic shapes and Insert > Image..."

(In reply to sdc.blanco from comment #35)
> Is there an easy way to show an image of a toolbar icon in a tip of the day?

Every tip may have its own image. You need to upload the image, add the reference at the tip (replaces tipoftheday_w|c|d.png), and adjust the make file. The how-to is documented on top of the hrc file. Take care of the image size: te dialog scales (not tested recently) accordingly, IIRC.
Comment 37 sdc.blanco 2019-12-06 09:36:32 UTC
(In reply to Heiko Tietze from comment #36)
> (In reply to sdc.blanco from comment #35)
> > Is there an easy way to show an image of a toolbar icon in a tip of the day?
> 
> Every tip may have its own image. 

I did not express my question clearly.  I was thinking of something like:

"beginning of tip … xxx(toolbar-icon).png...end of the tip."

where “xxx(toolbar-icon).png” would be replaced with the actual filename of the icon image.

Partly I assume this idea is not currently possible.  And partly I believe different users will have a different toolbar icon, depending on what icon style was chosen.  Ideally, it would be possible to place a toolbar icon into a tip that would reflect the chosen style.  But I do not think this is possible – so I will drop this idea.
Comment 38 Heiko Tietze 2019-12-06 09:44:07 UTC
(In reply to sdc.blanco from comment #37)
> partly I believe different users will have a different toolbar icon...

In theory everything is possible. But this would be a huge effort for only one special case and I think we should keep it simple.
Comment 39 mirko.pieropan 2019-12-06 10:57:12 UTC
(In reply to sdc.blanco from comment #34)
> Seeking feedback, reactions on the following tip, that I am planning to add.
> I believe the tip is fun and surprising.  But is this short text
> understandable enough to discover this possibility?
> 
> Want to put photos or other images into shapes?  Insert and select shape,
> then Insert > Image.  To adjust image, right-click on selected shape and
> choose Area.

I'm not being able to do this lol. The image just ignores the shape! :/
Comment 40 sdc.blanco 2019-12-06 20:16:29 UTC
(In reply to mirko.pieropan from comment #39)

> I'm not being able to do this lol. The image just ignores the shape! :/

I recognize the trouble.  I think it arises from defaults.

After you insert image in shape, use right-click > Area on the shape.
Then try setting "scale".  Also try reducing Height and Width.  From there, I think you will figure it out.
Comment 41 mirko.pieropan 2019-12-09 08:49:29 UTC Comment hidden (off-topic)
Comment 42 Heiko Tietze 2019-12-09 09:17:39 UTC Comment hidden (off-topic)
Comment 43 mirko.pieropan 2019-12-09 09:21:27 UTC Comment hidden (off-topic)
Comment 44 Heiko Tietze 2019-12-09 09:31:06 UTC Comment hidden (off-topic)
Comment 45 mirko.pieropan 2019-12-09 09:44:22 UTC Comment hidden (off-topic)
Comment 46 mirko.pieropan 2019-12-09 21:03:09 UTC Comment hidden (off-topic)
Comment 47 mirko.pieropan 2019-12-09 21:04:36 UTC Comment hidden (off-topic)
Comment 48 mirko.pieropan 2019-12-09 21:09:54 UTC Comment hidden (off-topic)
Comment 49 Heiko Tietze 2019-12-10 06:42:14 UTC Comment hidden (off-topic)
Comment 50 Heiko Tietze 2019-12-10 06:44:49 UTC Comment hidden (off-topic)
Comment 51 Commit Notification 2019-12-10 10:05:06 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/55204db25234e22ea00d9bef2fc1a062e942e84d

tdf#127294 five new tips 

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 52 Commit Notification 2019-12-10 12:19:34 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/660ffeb073e42ba688c39cd2171900f6874a9055

tdf#127294 five new tips 

It will be available in 6.4.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 53 sdc.blanco 2019-12-10 13:13:01 UTC
Here is one last set of tips that I will try to add before the string freeze.

As before, it can be useful to get other "eyes" looking at the formulations.
(also the syntax, with quotes, etc.)

The tips are based on breaking up the following current tip about Sections...

"Use Sections in %PRODUCTNAME Writer to protect part of a text, show/hide text, reuse parts from other documents, use different column layout."  

...into the following more specific tips.  


1. Want a different column layout for a part of a Writer page? Insert > Section, set with Columns tab, and place text in that section.

2. Want to keep a part of an editable document as read-only? Insert > Section.  Add text to the section, then right-click ‘Edit Section’ - ‘Write Protection’ – check ‘Protect’.

3. Want to show the contents of another document within your document?  Use Insert > Section and select Link

The main reasons for the proposed changes are (a) if the user has never heard of “section” then it seems confusing to be told all the functions in the current tip, and (b) the different uses of section mentioned there have different procedures.  

I have tried to make short, concrete examples about “section” that may seem fun or surprising or interesting, and that are concrete about the specific procedure to achieve the function.  While these three “section” tips do not exhaust all the section possibilities, it easy enough to discover others, once the general idea of Insert > Section is discovered.
Comment 54 Heiko Tietze 2019-12-11 08:30:28 UTC
(In reply to sdc.blanco from comment #53)
> Here is one last set of tips that I will try to add before the string freeze.

Thumbs up, good work. I just wonder if dashes between steps are the right symbol.

The now missing tip with hide/show has an interesting use case as you can use a variable to show parts of the text. For example, teacher can enter questions and answers and hide the latter.
Comment 55 sdc.blanco 2019-12-11 11:00:26 UTC
(In reply to Heiko Tietze from comment #54)

> I just wonder if dashes between steps are the right symbol.

I agree -- could be improved.  How about this as an improvement:

right-click ‘Edit Section’, and check ‘Protect’.

Questions:  
(1) Maybe not necessary to refer to 'Write Protection' (because no other "Protect" appears)?  
(2) Are the "single quotes" on  ‘Edit Section’ and  ‘Protect’ all right?  (seemed relevant to highlight them in some way)


> The now missing tip with hide/show has an interesting use case 

I agree.  How about this as a tip? 

Want to hide some text in a document?  Select the text.  Insert > Section, and select ‘Hide’.  To make text visible again, use Hide==1 in ‘With Condition’.

Questions:  (3) Depending on the answer to question(2), maybe there should be changes with the single quotes?

(4) I found this help file, but was uncertain if it could be entered as a uri, instead of a url.  https://help.libreoffice.org/6.4/en-US/text/swriter/guide/hidden_text.html#hd_id3148675

(5) I guessed about how to refer to specifically to the #section part of the help page, but seems to only work partially.  Leave it?  Drop it?
Comment 56 Heiko Tietze 2019-12-11 11:52:45 UTC
(In reply to sdc.blanco from comment #55)
> right-click ‘Edit Section’, and check ‘Protect’.

:thumbs_up:
 
> Questions:  
> (1) Maybe not necessary to refer to 'Write Protection' (because no other
> "Protect" appears)?  

Yes, sounds good.

> (2) Are the "single quotes" on  ‘Edit Section’ and  ‘Protect’ all right? 
> (seemed relevant to highlight them in some way)

Correct quotation according the book https://wiki.documentfoundation.org/Design/Guidelines/UIWriting is with U+201C and U+201D

> Want to hide some text in a document?  Select the text.  Insert > Section,
> and select ‘Hide’.  To make text visible again, use Hide==1 in ‘With
> Condition’.

That's a bit simplified. You have to create the variable "Hide" first (better with a different name as the label) to use this under the condition.

> Questions:  (3) Depending on the answer to question(2), maybe there should
> be changes with the single quotes?

Adolfo drives the typography. And since he didn't write anything about single/double I presume it has to be double.

> (4) I found this help file, but was uncertain if it could be entered as a
> uri, instead of a url. 
> https://help.libreoffice.org/6.4/en-US/text/swriter/guide/hidden_text.
> html#hd_id3148675

How to add references to the help is described in the comment of the hrc file. It's a bit cumbersome.

> (5) I guessed about how to refer to specifically to the #section part of the
> help page, but seems to only work partially.  Leave it?  Drop it?

The tip should make the user interested, the precise workflow is up to the help. So always add a reference, if possible.
Comment 57 Commit Notification 2019-12-11 14:50:51 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/d115fabdc6927bfcc48e7e7be5bad546c66b11ad

tdf#127294 one new tip of the day; clarification of three existing tips

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 58 sdc.blanco 2019-12-11 17:39:41 UTC
(In reply to Heiko Tietze from comment #56)

> > (2) Are the "single quotes" on  ‘Edit Section’ and  ‘Protect’ all right? 
> > (seemed relevant to highlight them in some way)
> 
> Correct quotation according the book
> https://wiki.documentfoundation.org/Design/Guidelines/UIWriting is with
> U+201C and U+201D

Thanks for the pointer to this useful document (which seems important for all tip writers/editors to know about).

I can see you are the author of that page, but doesn't Quotation refer to cases where one is copying another text?

Meanwhile, I can see that more or less all the actual tips in tipoftheday.hrc  use single quotes, not the double quotes (U+201C and U+201D) that you recommend here.

Also, according to that document, U+25B8 should be used for menu items.  In other words, all the current tips have violated that rule by using ">".  (maybe those should be changed?)

In my original query, I avoided asking about whether there was a convention (design guideline) for how to refer to items in right-click menus and in dialog boxes (and was just using single quotes, like other examples in tipoftheday.hrc).  But when I can see there is a design guideline for the menu items (U+25B8), then maybe there should be some for referring to right-click menu items and dialog box items?
 
> > Want to hide some text in a document?  Select the text.  Insert > Section,
> > and select ‘Hide’.  To make text visible again, use Hide==1 in ‘With
> > Condition’.
> 
> That's a bit simplified. You have to create the variable "Hide" first
> (better with a different name as the label) to use this under the condition.

Hmmm....  I did not create the variable!  (I just tried it, and was surprised that it worked.)  But now I have looked a little in the Advanced Configuration.  Maybe it was defined in: 

org.openoffice.Office.UI.Commands:LabelType['.uno:HideCurPage']

Need advice/opinions here.  I believe this method works, but perhaps it is too risky to rely on something being defined in the Expert Configuration?  In which case, maybe just drop the entire sentence "To make text visible again...."


> > Questions:  (3) Depending on the answer to question(2), maybe there should
> > be changes with the single quotes?
> 
> Adolfo drives the typography. And since he didn't write anything about
> single/double I presume it has to be double.

See longer discussion at beginning of this comment.  Would be useful/practical to get a clear decision -- if there are going to be design guidelines.

> > (4) I found this help file, but was uncertain if it could be entered as a
> > uri, instead of a url. 
> > https://help.libreoffice.org/6.4/en-US/text/swriter/guide/hidden_text.
> > html#hd_id3148675
> 
> How to add references to the help is described in the comment of the hrc
> file. It's a bit cumbersome.

I could not figure it out, which is why I was asking here.
> 
> > (5) I guessed about how to refer to specifically to the #section part of the
> > help page, but seems to only work partially.  Leave it?  Drop it?
> 
> The tip should make the user interested, the precise workflow is up to the
> help. So always add a reference, if possible.

Yes.  I was adding the reference, but:  

https://help.libreoffice.org/6.4/en-US/text/swriter/guide/hidden_text.html is a generic help page about hiding text, not just with sections. 

So I tried to use the # convention with URLs, to go directly to the relevant section on the page. 

https://help.libreoffice.org/6.4/en-US/text/swriter/guide/hidden_text.html#hd_id3148675

but it is not the best result.  I could not see how to improve it.  By the way, this "help page" is where I got the idea to try Hide == 1
Comment 59 Commit Notification 2019-12-12 06:12:04 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/2c1e9249247ffd67f931a063047cd1690aac0aa6

tdf#127294 one new tip of the day; clarification of three existing tips

It will be available in 6.4.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 60 Heiko Tietze 2019-12-13 07:18:19 UTC
(In reply to sdc.blanco from comment #58)
> Hmmm....  I did not create the variable!

No rocket science, no expert configuration - it's the first part of this documentation https://help.libreoffice.org/6.3/en-US/text/swriter/guide/hidden_text.html?DbPAR=WRITER#bm_id3148856

> > How to add references to the help is described in the comment of the hrc
> > file. It's a bit cumbersome.
> I could not figure it out, which is why I was asking here.

Build with --with-help=html and grep help2file.js for the command. Or just create a new ticket with component documentation.

> ...quotes

I leave the typographical questions to Adolfo.
Comment 61 Buovjaga 2019-12-13 08:40:01 UTC
(In reply to Heiko Tietze from comment #60)
> Build with --with-help=html and grep help2file.js for the command. Or just
> create a new ticket with component documentation.

Actually it is instdir/help/hid2file.js - thanks for the tip, I did not know that.
Comment 62 sdc.blanco 2019-12-13 09:11:14 UTC
(In reply to Heiko Tietze from comment #60)
> (In reply to sdc.blanco from comment #58)
> > Hmmm....  I did not create the variable!
> 
> No rocket science, no expert configuration - it's the first part of this
> documentation
> https://help.libreoffice.org/6.3/en-US/text/swriter/guide/hidden_text.
> html?DbPAR=WRITER#bm_id3148856

I understand that one is supposed to create a variable.  And this URL is the one that I already mentioned. And it is fine with me to drop the phrase about " To make text visible again, use Hide==1 in ‘With Condition’."  (because it should be possible to give a link to this help page, and tips do not always have to explain everything).

But ... I am just pointing out that with LO 6.4.0.0.beta1 I was able to use the Hide variable in the With Condition, WITHOUT having to define the Hide variable.

My question was whether Hide is already defined in the "standard" LO, in which case, it would make it possible for people to use this function (without knowing how to define variables).  (seemed like a useful tip.)


(In reply to Buovjaga from comment #61)
> (In reply to Heiko Tietze from comment #60)
> > Build with --with-help=html and grep help2file.js for the command. Or just
> > create a new ticket with component documentation.
> 
> Actually it is instdir/help/hid2file.js - thanks for the tip, I did not know
> that.

Is there a way that I can do this through web interfaces?  (I have tried unsuccessfully to find this file online). I do not have the possibility to compile systems myself.
Comment 63 sdc.blanco 2019-12-13 09:48:15 UTC
(In reply to sdc.blanco from comment #62)
> 
> (In reply to Buovjaga from comment #61)
> > (In reply to Heiko Tietze from comment #60)
> > > Build with --with-help=html and grep help2file.js for the command. Or just
> > > create a new ticket with component documentation.
> > 
> > Actually it is instdir/help/hid2file.js - thanks for the tip, I did not know
> > that.

If I understand correctly, then the instructions in tipoftheday.hrc are wrong (about the name of the file)?
 
> Is there a way that I can do this through web interfaces?  (I have tried
> unsuccessfully to find this file online). I do not have the possibility to
> compile systems myself.

I have now found C:\Program Files\LibreOffice\help\hid2file.js.  I assume this is the relevant file.  

But this creates a new problem -- how to interpret the contents of this file.  For example, in the current case (at the end of comment #58), I can search for the string "hidden" in this file, and find many different lines with this word, but none of them look like they are relevant to the hidden_text.html   Does this mean that I can/should conclude that it is not included in the offline help?
Comment 64 Commit Notification 2019-12-16 13:04:26 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/6c844f9bbc76f615d9a49526670538f045d82e0b

tdf#127294 replace one section tip of the day with 4 new section tips

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 65 Heiko Tietze 2019-12-16 13:07:21 UTC
(In reply to sdc.blanco from comment #63)
> But this creates a new problem -- how to interpret the contents of this
> file.

Leave this for Olivier as I build without-java and do not have the file on my system. And eventually you have found the solution, at least the patch works well.
Comment 66 Commit Notification 2019-12-16 15:40:23 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/adc75ea33d2feddd2c694f6e0264e25022635d8a

tdf#127294 replace one section tip of the day with 4 new section tips

It will be available in 6.4.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 67 Commit Notification 2019-12-18 07:00:42 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/1bc50aca32a2c76017a552a06dca2c941ab38f7a

tdf#127294 Remove spaces; follow design guidelines for tips-of-the-day

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 68 sdc.blanco 2019-12-18 17:55:28 UTC
Are you a Calc expert?   Here are two existing tips-of-the-day, which look very similar.  If so, maybe they can be combined/improved?

"Want to know if a cell is referred in formulas of other cells? Tools ▸ Detective ▸ Trace Dependents (Shift+F5)."

"Trace cells used in a formula, precedents (Shift+F9) or dependents (Shift+F5) (or use Tools▸Detective). For each hit you go one more step in the chain.”

And here is the current documentation:

https://help.libreoffice.org/6.3/en-US/text/scalc/01/06030000.html?DbPAR=CALC#bm_id3151245 

https://documentation.libreoffice.org/en/english-documentation/calc/ p217-219.
Comment 69 mirko.pieropan 2019-12-20 10:54:39 UTC
I would add a specific tip about the kind of images that look good when imported in Impress. Something like "Need to import a vector image in your presentation? Then go for svg, you can't go wrong!" Perhaps inform on vector formats for images that don't look good after import at the moment (such as pdf, e.g.).
I would also add a tip about recommended format(s) for bitmap images, such as png.
Comment 70 Heiko Tietze 2020-01-22 09:26:43 UTC
*** Bug 130116 has been marked as a duplicate of this bug. ***
Comment 71 So 2020-03-16 02:07:42 UTC
*** Bug 131345 has been marked as a duplicate of this bug. ***